@import url('https://fonts.googleapis.com/css2?family=Sniglet&display=swap');

* {
    font-family: Arial, Helvetica, sans-serif;
    padding: 0;
    margin: 0;
    color: #000;
    box-sizing: border-box;
}

.container {
    max-width: 1200px;
    width: 100%;
    margin: 0 auto;
    align-items: center;
    text-align: center;
    align-content: center;
}

#main {
    max-width: 1200px;
    width: 100%;
    margin: 0 auto;
    display: block;

}

main {
    display: block;
    grid-area: main;
    align-self: start;
    text-align: left;
}

h1 {
    color: #0d6781;
    font-family: Sniglet;
    margin: 20px;
    font-size: 48pt;
    text-shadow: 2px 2px 2px #646363;
    text-align: center;
}

h2 {
    color: #0d6781;
    font-family: Sniglet;
    margin-top: 40px;
    margin-bottom: 20px;
    font-size: 24pt;
    text-shadow: 2px 2px 2px #646363;
    text-align: left;
}

body {
    background-color: #e4e3d1;
    text-align: center;
    background-image: url("../images/background.jpg");
    background-size: cover;
}

#main-img {
    outline: 5px solid #7f1e0d;
    border-radius: 50%;
    outline-offset: 5px;
    margin: 10px auto;
    float: none;
    display: block;
}

nav {
    grid-area: nav;
}

header {
    grid-area: logo;
}

ul {
    align-items: center;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

li {
    border-radius: 30px;
    background-color: #fff;
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: center;
    align-items: center;
    justify-items: center;
    box-shadow: 5px 5px 5px #646363;
    margin: 15px;
    padding: 15px;
}

li a {
    font-family: Sniglet;
    color: #646363;
    text-decoration: none;
    font-size: 18pt;
}

.link {
    color: #646363;
    font-family: Sniglet;
    font-size: 18pt;
}

p {
    font-size: 14pt;
}
main p {
    margin: 20px;
}
#main-h2 {
    text-align: center;
}
label {
    display: block;
    margin-bottom: 5px;
}
input {
    display: block;
    min-width: 350px;
    margin-bottom: 20px;
    border: none;
    padding: 10px;
}
textarea {
    display: block;
    border: none;
    min-width: 350px;
    padding: 10px;
    margin-bottom: 20px;
}


@media screen and (min-width: 600px) {
    li {
        height: 200px;
        width: 200px;
        min-width: 200px;
    }

    .container {
        display: grid;
        grid-template-columns: 1fr 4fr;
        grid-template-rows: 1fr 2fr;
        grid-template-areas:
            "logo nav"
            "main main";
    }
    main img {
        float: left;
        margin-right: 20px;
    }
    #main-img {
        height: 400px;
    }
    form {
        display: inline-block;
        min-width: 400px;
        width: 50%;
        padding: 20px;
    }

}

@media screen and (max-width: 600px) {
    .container {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 280px 290px 1fr;
        grid-template-areas:
            "logo"
            "nav"
            "main";

    }
    main img {
        display: block;
        border: none;
        width: 90%;
        height: auto;
        margin: 20px 5%;
    }
    li {
        height: auto;
        width: 90%;
        min-width: 200px;
        justify-content: center;
        margin: 5px;
    }
    li img {
        display: none;
    }
    #main-img {
        height: auto;
    }
    form {
        display: block;
        width: 100%;
        padding: 20px;
    }
    input {
        width: 100%;
    }
    textarea {
        width: 100%;
    }
    h2 {
        text-align: center;
    }
}